Subject: Re: [PATCH v3] gnu: emacs-haskell-snippets: Use correct directory for snippets.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 18 Oct 2023 23:58:34 +0200

Am Mittwoch, dem 18.10.2023 um 10:54 +0200 schrieb Rostislav Svoboda:
> Hi Liliana,
> 
> I think we're digressing and since our discussion is mostly about
> opinions I'd prefer to discontinue it. 
Agree to disagreeing then.

> Except for one rather important point:
> 
> > > - in general, the built-in compose function can't be called with
> > > zero arguments. For that purpose I cobbled myself:
> ...
> > I'd argue that compose without procedures is quite meaningless, but
> > maybe I'm thinking too hard.
> 
> Food for thought:
> 
> in Emacs Lisp:
> *** Welcome to IELM ***  Type (describe-mode) or press C-h m for
> help.
> ELISP> (-compose)
> #<subr F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_131>
> 
> In Racket:
> Welcome to Racket v8.10 [cs].
> > (compose)
> #<procedure:values>
> 
> Clojure 1.11.1
> user=> (comp)
> #object[clojure.core$identity 0x610db97e
> "clojure.core$identity@610db97e"]
Looks like a bunch of implementation-defined behaviour to me.  Note
that rnrs barely specifies the case for two arguments :)

Cheers